import {
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

/* Extension Management - 부가서비스 API */
export const API_URL_ADDITIONAL_SERVICE = {
  extensionAccountHolderAuthList: () => {
    // POST: 계좌점유인증 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/account-auth/list`;
  },
  extensionAccountHolderAuthDownlaodExcel: () => {
    // POST: 계좌점유인증 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/account-auth/download/excel`;
  },
  extensionAccountHolderAuthDetail: () => {
    // POST: 계좌점유인증 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/account-auth/detail`;
  },
  extensionAccountHolderSearchList: () => {
    // POST: 계좌성명조회 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/search-account-name/list`;
  },
  extensionAccountHolderSearchDetail: () => {
    // POST: 계좌성명조회 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/search-account-name/detail`;
  },
  extensionAccountHolderSearchDownloadExcel: () => {
    // POST: 계좌성명조회 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/search-account-name/download/excel`;
  },
  extensionAccountHolderSearchRequest: () => {
    // POST: 계좌성명조회 조회 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/search-account-name/request`;
  },
  extensionLinkPaymentHistoryList: () => {
    // POST: 링크결제 - 발송내역 리스트 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/history/list`;
  },
  extensionLinkPaymentHistoryDownloadExcel: () => {
    // POST: 링크결제 - 발송내역 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/history/excel`;
  },
  extensionLinkPaymentRequest: () => {
    // POST: 링크결제 - 결제 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/request`;
  },
  extensionLinkPaymentHistoryDetail: () => {
    // POST: 링크결제 - 발송내역 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/history/detail`;
  },
  extensionLinkPaymentHistoryResend: () => {
    // POST: 링크결제 - 발송내역 상세 > 재발송
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/resend`;
  },
  extensionLinkPaymentWaitList: () => {
    // POST: 링크결제 - 발송대기 리스트 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/wait/list`;
  },
  extensionLinkPaymentWaitDownloadExcel: () => {
    // POST: 링크결제 - 발송내역 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/wait/excel`;
  },
  extensionLinkPaymentWaitDetail: () => {
    // POST: 링크결제 - 발송대기 상세 내역 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/wait/detail`;
  },
  extensionLinkPaymentWaitDelete: () => {
    // POST: 링크결제 - 발송대기 삭제
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/wait/delete`;
  },
  extensionLinkPaymentSeparateDetail: () => {
    // POST: 링크결제 - 분리승인 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/separate/detail`
  },
  extensionLinkPaymentSeparateAction: () => {
    // POST: 링크결제 - 분리승인 액션
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/linkpay/separate/action`
  },
  extensionSmsResend: () => {
    // POST: SMS 결제 통보 > SMS 재발송
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/sms/resend`;
  },
  extensionSmsList: () => {
    // POST: SMS 결제 통보 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/sms/list`;
  },
  extensionSmsDownloadExcel: () => {
    // POST: SMS 결제 통보 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/sms/download/excel`;
  },
  extensionSmsDetail: () => {
    // POST: SMS 결제 통보 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/sms/resend-info`;
  },
  extensionList: () => {
    // POST: 부가서비스 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/list`;
  },
  extensionCheck: () => {
    // POST: 부가서비스  사용여부 체크
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/check`;
  },
  extensionKeyinList: () => {
    // POST: KEY-IN 결제 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/keyin/list`;
  },
  extensionKeyinDownloadExcel: () => {
    // POST: KEY-IN 결제 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/keyin/download/excel`;
  },
  extensionKeyinApply: () => {
    // POST: KEY-IN 결제 > 결제 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/keyin/apply`;
  },
  extensionArsResend: () => {
    // POST: SMS 신용카드 ARS 결제 > SMS 재전송
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/ars/resend`;
  },
  extensionArsList: () => {
    // POST: 신용카드 ARS 결제 > 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/ars/list`;
  },
  extensionArsDownloadExcel: () => {
    // POST: 신용카드 ARS 결제 > 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/ars/download/excel`;
  },
  extensionArsDetail: () => {
    // POST: 신용카드 ARS 결제 > 상세 내용 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/ars/detail`;
  },
  extensionArsApply: () => {
    // POST: 신용카드 ARS 결제 > 결제 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/ars/apply`;
  },
  extensionAlimtalkSettingSave: () => {
    // POST: 알림톡 결제 통보 > 서비스 설정 저장
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/alimtalk/setting/save`;
  },
  extensionAlimtalkSettingDetail: () => {
    // POST: 알림톡 결제 통보 > 서비스 설정 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/alimtalk/setting/detail`;
  },
  extensionAlimtalkList: () => {
    // POST: 알림톡 결제 통보 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/alimtalk/list`;
  },
  extensionAlimtalkDownloadExcel: () => {
    // POST: 알림톡 결제 통보 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/alimtalk/download/excel`;
  },
  extensionAlimtalkDetail: () => {
    // POST: 알림톡 결제 통보 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/alimtalk/detail`;
  },

  // Payout Management 부가서비스 > 지급대행 API
  extensionPayoutRequest: () => {
    // POST: 지급대행 신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/payout/request`;
  },
  extensionPayoutList: () => {
    // POST: 지급대행 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/payout/list`;
  },
  extensionPayoutExcel: () => {
    // POST: 지급대행 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/payout/excel`;
  },
  extensionPayoutDetail: () => {
    // POST: 지급대행 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/payout/detail`;
  },
  extensionPayoutDetailDownloadCertificate: () => {
    // POST: 지급대행 상세 조회 > 입출금 확인증 다운로드
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/payout/detail/download/certificate`;
  },

  // Fund Account Management 부가서비스 > 자금이체 API
  extensionFundAccountTransferRegist: () => {
    // POST: 자금이체 > 이체등록
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/transfer/regist`
  },
  extensionFundAccountTransferRequest: () => {
    // POST: 자금이체 > 이체신청
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/transfer/request`;
  },
  extensionFundAccountTransferList: () => {
    // POST: 자금이체 이체내역 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/transfer/list`;
  },
  extensionFundAccountTransferExcel: () => {
    // POST: 자금이체 이체내역 엑셀 다운
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/transfer/excel`;
  },
  extensionFundAccountTransferDetail: () => {
    // POST: 자금이체 이체내역 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/transfer/detail`;
  },
  extensionFundAccountResultSummary: () => {
    // POST: 자금이체 처리결과 요약 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/result/summary`;
  },
  extensionFundAccountResultList: () => {
    // POST: 자금이체 처리결과 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/result/list`;
  },
  extensionFundAccountResultExcel: () => {
    // POST: 자금이체 이체내역 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/result/excel`;
  },
  extensionFundAccountResultDetail: () => {
    // POST: 자금이체 처리결과 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/result/detail`;
  },
  extensionFundAccountBalance: () => {
    // POST: 자금이체 이체내역 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/balance`;
  },
  extensionFundAccountDownloadReceipt: () => {
    // POST: 자금이체 > 입금확인증 다운로드
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/fund-account/result/receipt`;
  },
  extensionFaceAuthList: () => {
    // POST: 안면인증 목록 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/face-auth/list`;
  },
  extensionFaceAuthExcelDownload: () => {
    // POST: 안면인증 엑셀 다운로드
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/face-auth/excel`;
  },
  extensionFaceAuthDetail: () => {
    // POST: 안면인증 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/extension/face-auth/detail`;
  },

};